org.jboss.resteasy.springmvc

## Class ResteasyRequestWrapper

- java.lang.Object
- - org.jboss.resteasy.springmvc.ResteasyRequestWrapper

-     public class ResteasyRequestWrapper
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyRequestWrapper(javax.servlet.http.HttpServletRequest request)`
    `ResteasyRequestWrapper(javax.servlet.http.HttpServletRequest request, String httpMethod, String prefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response` | `getAbortedResponse()`
    `Integer` | `getErrorCode()`
    `String` | `getErrorMessage()`
    `HttpRequest` | `getHttpRequest()`
    `javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
    `ResourceInvoker` | `getInvoker()`
    `void` | `setAbortedResponse(Response abortedResponse)`
    `void` | `setError(Integer errorCode, String errorMessage)`
    `void` | `setErrorCode(Integer errorCode)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setInvoker(ResourceInvoker invoker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyRequestWrapper

          public ResteasyRequestWrapper(javax.servlet.http.HttpServletRequest request)
                                 throws javax.servlet.ServletException,
                                        IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### ResteasyRequestWrapper

          public ResteasyRequestWrapper(javax.servlet.http.HttpServletRequest request,
                                String httpMethod,
                                String prefix)
                                 throws javax.servlet.ServletException,
                                        IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

  - ### Method Detail

    - #### getHttpServletRequest

          public javax.servlet.http.HttpServletRequest getHttpServletRequest()

    - #### getHttpRequest

          public HttpRequest getHttpRequest()

    - #### getInvoker

          public ResourceInvoker getInvoker()

    - #### setInvoker

          public void setInvoker(ResourceInvoker invoker)

    - #### getErrorCode

          public Integer getErrorCode()

    - #### setErrorCode

          public void setErrorCode(Integer errorCode)

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### setError

          public void setError(Integer errorCode,
                      String errorMessage)

    - #### getAbortedResponse

          public Response getAbortedResponse()

    - #### setAbortedResponse

          public void setAbortedResponse(Response abortedResponse)

Copyright © 2014. All Rights Reserved.